Bug 1124111 - Review Request: python-spec - Specification-style output for python2-nose
Summary: Review Request: python-spec - Specification-style output for python2-nose
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1127967
TreeView+ depends on / blocked
 
Reported: 2014-07-29 02:12 UTC by Eduardo Mayorga
Modified: 2015-05-12 20:35 UTC (History)
3 users (show)

Fixed In Version: python-spec-1.0.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-12 20:35:47 UTC
jujens: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eduardo Mayorga 2014-07-29 02:12:01 UTC
Spec URL: https://mayorga.fedorapeople.org/python-spec.spec
SRPM URL: https://mayorga.fedorapeople.org/python-spec-0.11.1-1.fc20.src.rpm
Description: spec is a Python 2 testing tool that provides:

* Colorized, specification style output
* Colorized tracebacks and summary
* Test-running CLI tool which enables useful non-default options and implements
relaxed test discovery for less test_annoying.py:TestBoilerplate.test_code and
more readable.py:Classes.and_methods.
Fedora Account System Username: mayorga

Comment 1 Julien Enselme 2014-08-03 10:11:35 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 7 files have unknown license. Detailed output of
     licensecheck in /run/media/jenselme/Data/1124111-python-
     spec/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[X]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-spec
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.41 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.41
INFO: Mock Version: 1.1.41
Start: lock buildroot
INFO: installing package(s): /run/media/jenselme/Data/1124111-python-spec/results/python-spec-0.11.1-1.fc20.noarch.rpm /run/media/jenselme/Data/1124111-python-spec/results/python3-spec-0.11.1-1.fc20.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-20-x86_64/root/', '--releasever', '20', 'install', '/run/media/jenselme/Data/1124111-python-spec/results/python-spec-0.11.1-1.fc20.noarch.rpm', '/run/media/jenselme/Data/1124111-python-spec/results/python3-spec-0.11.1-1.fc20.noarch.rpm', '--setopt=tsflags=nocontexts']
Error: Package: python-spec-0.11.1-1.fc20.noarch (/python-spec-0.11.1-1.fc20.noarch)
           Requires: python2-six
 You could try using --skip-broken to work around the problem
Error: Package: python-spec-0.11.1-1.fc20.noarch (/python-spec-0.11.1-1.fc20.noarch)
           Requires: python2-nose >= 1.3
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: python-spec-0.11.1-1.fc20.noarch.rpm
          python3-spec-0.11.1-1.fc20.noarch.rpm
          python-spec-0.11.1-1.fc20.src.rpm
python-spec.noarch: W: spelling-error %description -l en_US tracebacks -> trace backs, trace-backs, racetracks
python-spec.noarch: W: spelling-error %description -l en_US py -> pt, p, y
python-spec.noarch: W: spelling-error %description -l en_US TestBoilerplate -> Test Boilerplate, Test-boilerplate, Boilerplate
python-spec.noarch: W: no-documentation
python-spec.noarch: W: no-manual-page-for-binary spec
python3-spec.noarch: W: spelling-error %description -l en_US tracebacks -> trace backs, trace-backs, racetracks
python3-spec.noarch: W: spelling-error %description -l en_US py -> pt, p, y
python3-spec.noarch: W: spelling-error %description -l en_US TestBoilerplate -> Test Boilerplate, Test-boilerplate, Boilerplate
python3-spec.noarch: W: no-documentation
python3-spec.noarch: W: no-manual-page-for-binary spec
python-spec.src: W: spelling-error %description -l en_US tracebacks -> trace backs, trace-backs, racetracks
python-spec.src: W: spelling-error %description -l en_US py -> pt, p, y
python-spec.src: W: spelling-error %description -l en_US TestBoilerplate -> Test Boilerplate, Test-boilerplate, Boilerplate
python-spec.src:46: W: mixed-use-of-spaces-and-tabs (spaces: line 13, tab: line 46)
3 packages and 0 specfiles checked; 0 errors, 14 warnings.




Requires
--------
python-spec (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python2-nose
    python2-six

python3-spec (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python3-nose
    python3-six



Provides
--------
python-spec:
    python-spec

python3-spec:
    python3-spec



Source checksums
----------------
https://pypi.python.org/packages/source/s/spec/spec-0.11.1.tar.gz :
  CHECKSUM(SHA256) this package     : a3be7373fd986e11c16695cb30e9fa1e1d59f3f4715f3fa4ec773a390dc5edb3
  CHECKSUM(SHA256) upstream package : a3be7373fd986e11c16695cb30e9fa1e1d59f3f4715f3fa4ec773a390dc5edb3


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1124111
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


The requires for python2 should be: python-nose and python-six (python2-nose and python2-six don't exists).

The license requires upstream clarification: according to the spec and setup.py files, it is MIT but according to the text license available in the source code reposiry (https://github.com/bitprophet/spec/blob/master/LICENSE) it is BSD.

Comment 2 Julien Enselme 2014-08-03 10:26:01 UTC
I would also replace %package -n python3-spec by %package -n python3-%{pypi_name} to stay coherent with the python2 section

Comment 3 Julien Enselme 2014-11-26 14:12:14 UTC
Hi,

Any progress on this review?

Comment 4 Eduardo Mayorga 2014-11-27 18:33:53 UTC
(In reply to Julien Enselme from comment #3)
> Any progress on this review?

I filed a bug about the licensing issue to upstream and I got no response.

https://github.com/bitprophet/spec/issues/35

Maybe this a case of 'license under MIT *or* BSD'?

Comment 5 Julien Enselme 2015-01-11 13:32:35 UTC
This issue is closed upstream. The chosen license is MIT.

Can you please continue this review?

Comment 7 Julien Enselme 2015-04-07 15:55:50 UTC
You made a small mistake in the changelog: you forgot the release number. Everything else looks fine.

Once you have corrected the changelog, I will approve this package.

Comment 8 Eduardo Mayorga 2015-04-07 16:53:28 UTC
Spec URL: https://mayorga.fedorapeople.org/python-spec.spec
SRPM URL: https://mayorga.fedorapeople.org/python-spec-1.0.0-1.fc22.src.rpm

Thanks for the review.

Comment 9 Julien Enselme 2015-04-07 17:00:56 UTC
Approuved!

Comment 10 Eduardo Mayorga 2015-04-07 17:13:49 UTC
New Package SCM Request
=======================
Package Name: python-spec
Short Description: Specification-style output for python2-nose
Upstream URL: https://github.com/bitprophet/spec
Owners: mayorga
Branches: f22
InitialCC:

Comment 11 Gwyn Ciesla 2015-04-07 19:08:31 UTC
Git done (by process-git-requests).

Comment 12 Pierre-YvesChibon 2015-04-28 15:59:28 UTC
Hi,

Did you forget to upload or to close this review?

Thanks

Comment 13 Fedora Update System 2015-04-29 21:33:06 UTC
python-spec-1.0.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-spec-1.0.0-1.fc22

Comment 14 Fedora Update System 2015-05-01 16:50:08 UTC
python-spec-1.0.0-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 15 Fedora Update System 2015-05-12 20:35:47 UTC
python-spec-1.0.0-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.